Package Details: perl-gtk2-ex-simple-list 0.50-2

Git Clone URL: (read-only)
Package Base: perl-gtk2-ex-simple-list
Description: A simple interface to Gtk2's complex MVC list widget
Upstream URL:
Licenses: GPL, PerlArtistic
Submitter: leidola
Maintainer: jnbek
Last Packager: jnbek
Votes: 136
Popularity: 2.913300
First Submitted: 2009-09-02 19:19
Last Updated: 2015-11-16 20:14

Latest Comments

javex commented on 2015-02-13 07:46

I have updated the PKGBUILD. Thanks for the hint. I have also disowned as I don't have the time to maintain this right now.

djringjr commented on 2015-02-13 02:39

Worked for me. Please update this fix.

damianj commented on 2014-12-31 15:36

Nevermind. I looked at the "perl-gtk2-gladexml-simple 0.32-1" PKGBUILD which has an identical build setup (except for the name), and managed to get this working by replacing everything after the md5sums line in the PKGBUILD to:


build() {
PERL_MB_OPT="--installdirs vendor --destdir '$pkgdir'" \

cd "$srcdir/$_distdir"
/usr/bin/perl Makefile.PL

check() {
cd "$srcdir/$_distdir"
make test

package() {
cd "$srcdir/$_distdir"
make install

find "$pkgdir" -name .packlist -o -name perllocal.pod -delete

leidola commented on 2014-12-31 15:25

It might be related to the latest changes in pacman.

damianj commented on 2014-12-31 15:18

I am getting the same error as dice. I searched around to see if it was something on my end, but after looking at the PKGBUILD the package function is indeed missing. Not sure if this function is not required (don't have much experience with building packages), but seems to be an issue for some.

Error (for reference):

==> ERROR: Missing package() function in /tmp/yaourt-tmp-user/aur-perl-gtk2-ex-simple-list/./PKGBUILD
==> ERROR: Makepkg was unable to build perl-gtk2-ex-simple-list.

dice commented on 2014-12-31 11:00

==> ERROR: Missing package() function in /home/arch/lukas/aur/perl-gtk2-ex-simple-list/PKGBUILD

snark.real commented on 2014-06-23 04:44

Please update source with

sotrud_nik commented on 2010-11-30 04:02

Depends on extra/glib-perl extra/gtk2-perl